Python 3 support still lacking in QGIS 2.99???
Status: Closed

Priority: Normal

Assignee:

Category: Build/Install

Affected QGIS version:master Regression?: No

Operating System: OS X 10.13 Easy fix?: No

Pull Request or Patch supplied:No Resolution: not reproducable

Crashes QGIS or corrupts data:No Copied to github as #: 25542

Description

Guys,

I’m not sure this is expected or no, but since it’s nearly impossible to get up-to-date info about 2.99 on the web, here it is:

I get “no Python support” on QGIS 2.99 in the Plugin dialogue. Is that normal?

Compilation from source, the only relevant option I can see in the ccmake output is: 

PYTHON_EXECUTABLE                /opt/local/bin/python3.6

Which is fine.

Shall I set other python variables to make it work?

Thanks!

History

#1 - 2017-12-06 04:16 PM - Giovanni Manghi

- Category changed from Python plugins to Build/Install

- Status changed from Open to Feedback

How did you installed master on macOS?

#2 - 2017-12-06 04:30 PM - vince -

Ciao Giovanni!

How did you installed master on macOS?

I wrote a Portfile (for Macports) for it. It pulls out the master version corresponding to a given commit tag. Here is the excerpt of the Portfile:

set commit          1c1de3a

github.setup        qgis QGIS ${commit}

Then the package proceeds through the various configuration, build and installation stages and gives a perfectly functional Qgis3 app (3D works) but for

Python support.

Niente di particolarmente difficile quà! :)
Cheers/Salutoni!

#3 - 2017-12-06 04:37 PM - Giovanni Manghi

vince - wrote:

Ciao Giovanni!

Ciao!

as others mac qgis/master users did not reported this I tend to think this a problem with the recipe you are using to install master. Please ask in the

developers mailing list.

Thanks!

#4 - 2017-12-06 04:40 PM - vince -

Giovanni Manghi wrote:

as others mac qgis/master users did not reported this I tend to think this a problem with the recipe you are using to install master. Please ask in the

developers mailing list.

Fine. Will do that.

Grazie per l'aiuto!

V.

#5 - 2017-12-27 03:15 PM - Saber Razmjooei

- Status changed from Feedback to Closed

#6 - 2018-02-22 11:08 AM - Giovanni Manghi

- Resolution set to not reproducable
